routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();
Route::get('pdfshow', 'SubscriptionController@pdfshow')->name('pdfshow');
Route::group(['middleware' => ['role:admin']], function () {
    Route::get('settings', 'SettingController@index')->name('settings');
    Route::put('settings', 'SettingController@update')->name('settings.update');
    Route::post('file-upload', 'SettingController@FileLogin')->name('file-upload');
    Route::post('topbar-upload', 'SettingController@FileTopbar')->name('topbar-upload');
    Route::post('favicon-upload', 'SettingController@FileFavicon')->name('favicon-upload');
    Route::get('chains/send', 'ChainController@send')->name('chains.send');
    Route::put('chains/send', 'ChainController@storeSend')->name('chains.storeSend');
    Route::get('holograms/send', 'HologramController@send')->name('holograms.send');
    Route::put('holograms/send', 'HologramController@storeSend')->name('holograms.storeSend');
});
Route::group(['middleware' => ['role:admin|supervisor']], function () {
//    Route::get('settings', 'SettingController@index')->name('settings');
    Route::put('demands/accept/{demand}', 'DemandController@accept')->name('demands.accept');
    Route::put('demands/refuse/{demand}', 'DemandController@refuse')->name('demands.refuse');
    Route::get('shipments','ShipmentController@index')->name('shipment.index');
});
Route::group(['middleware' => ['role:admin|supervisor']], function () {
    Route::put('users/{user}/picture', 'UserController@updatePicture')->name('users.picture.update');
    Route::put('users/{user}/password', 'UserController@updatePassword')->name('users.password.update');
    Route::get('users/blocked', 'UserController@blocked')->name('users.blocked');
    Route::patch('users/{id}/restore', 'UserController@restore')->name('users.restore');
    Route::delete('users/block/{user}', 'UserController@block')->name('users.block');
    Route::resource('users', 'UserController');

    Route::get('agencies/blocked', 'AgencyController@blocked')->name('agencies.blocked');
    Route::patch('agencies/{id}/restore', 'AgencyController@restore')->name('agencies.restore');
    Route::delete('agencies/block/{agency}', 'AgencyController@block')->name('agencies.block');
    Route::resource('agencies', 'AgencyController');


    Route::resource('subscriptionCategories', 'SubscriptionCategoryController');
    Route::resource('subscriptionPeriods', 'SubscriptionPeriodController');
    Route::resource('chains', 'ChainController');
    Route::resource('holograms', 'HologramController');

    Route::get('lines/blocked', 'LineController@blocked')->name('lines.blocked');
    Route::patch('lines/{id}/restore', 'LineController@restore')->name('lines.restore');
    Route::delete('lines/block/{line}', 'LineController@block')->name('lines.block');
    Route::resource('lines', 'LineController');
    Route::get('lines/order/{line}','LineController@order')->name('line.order');
    Route::post('lines/order/{line}','LineController@orderstore')->name('line.order.save');
    Route::get('lines/getstations/{id}', 'LineController@getStations');

    Route::get('institutions/blocked', 'InstitutionController@blocked')->name('institutions.blocked');
    Route::patch('institutions/{id}/restore', 'InstitutionController@restore')->name('institutions.restore');
    Route::delete('institutions/block/{institution}', 'InstitutionController@block')->name('institutions.block');
    Route::resource('institutions', 'InstitutionController');

    Route::resource('buses', 'BusController');
    Route::resource('stations', 'StationController');
    Route::resource('demands', 'DemandController');
    Route::resource('declarations', 'DeclarationController');
    Route::resource('deliveries', 'DeliveryController');
    Route::resource('logs', 'LogActivityController');
    Route::resource('socials', 'SocialController');
    Route::post('socials/import', 'SocialController@import')->name('socials.import');
    Route::get('rapports', 'RapportController@index')->name('rapports');

});
Route::get('/v1/verifref/{chain?}','SubscriptionController@verifref')->name('ajax.verifref');
Route::get('/','HomeController@index')->name('home');
//Locale Route
Route::get('locale/{locale}', function ($locale){
    Session::put('locale', $locale);
    return redirect()->back();
});

Route::group(['middleware' => 'auth'], function () {
Route::resource('clients', 'ClientController');
Route::resource('subscriptions', 'SubscriptionController');

Route::view('/editor','editor.index');
Route::get('pdf/{id}','SubscriptionController@generatePDF')->name('pdf');
Route::get('{first}/{second}/{third}', 'RoutingController@thirdLevel')->name('third');
Route::get('{first}/{second}', 'RoutingController@secondLevel')->name('second');
Route::get('{any}', 'RoutingController@root')->name('any');
});
//Route::group(['middleware' => 'auth', 'prefix' => '/'], function () {

//});


// landing
//Route::get('', 'RoutingController@index')->name('index');

app/Chain.php
<?php

namespace App;


use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\DB;
use Spatie\Activitylog\Traits\LogsActivity;

class Chain extends Model
{
    use LogsActivity;
    protected $guarded=[];

    public function subscription()
    {
        return $this->belongsTo(Subscription::class);
    }
    public function agency()
    {
        return $this->belongsTo(Agency::class);
    }
    public function declarations()
    {
        return $this->hasMany(Declaration::class);
    }
    public function getCreatedAtAttribute($date)
    {
//        setlocale(LC_TIME, "fr_FR");
//        $datetime= new \DateTime($date);
//        return $datetime->format('d F, Y');
              Carbon::setLocale('fr');
       return Carbon::parse($date)->format('d F, Y');
    }
    static function chainWithDate($pack)
    {
        $chain=Chain::where('pack',$pack)->where('used',0)->where('declaration_id',null)->get();
        return $chain;
    }

    static function lots($receipt)
    {
            $lots=DB::select('SELECT MIN(`code`) as min, MAX(`code`) as max,type
            FROM
            (SELECT @row_number:= CASE WHEN @id = type THEN @row_number ELSE @row_number + 1 END AS num,
            @id:= pack as pack, receipt,type,`code`
            FROM chains, (SELECT @row_number:= 0, @id:= 1) t ORDER BY `code`) t
            WHERE t.pack = 2 and t.receipt = "'.$receipt.'"
            GROUP BY num,type');

            $tab = [];
            $i=0;
            $j=0;
            foreach ($lots as $lot)
            {

                if ($j==0)
                {
                    $tab[$i]['min']=$lot->min;
                    $tab[$i]['type']=$lot->type;
                }

                else
                {
                    if($tab[$i]['type']!=$lot->type)
                    {
                        $i++;
                        $tab[$i]['type']=$lot->type;
                        $tab[$i]['min']=$lot->min;
                    }else{
                        $tab[$i]['max']=$lot->max;
                    }
                }

                $j++;

            }
        return $tab;
    }

}

app/Http/Controllers/ChainController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Auth;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use App\Agency;
use App\Chain;
use App\Demand;
use Illuminate\Http\Request;
use DataTables;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use phpseclib\Crypt\Random;
use PHPUnit\Framework\Constraint\Count;

class ChainController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $user=Auth::user();
        $role=$user->getRoleNames()->first();
        if($role=="admin")
        {
        $stock=Chain::where('used',0)
                      ->where('confirmed',0)
                      ->whereNull('declaration_id')
                      ->whereNull('agency_id')
                      ->whereNull('date_arrive')->count();
        $route=Chain::whereNotNull('agency_id')->count();
        $return=Chain::whereNotNull('declaration_id')->count();
        $today=new \DateTime('today');
        $today=$today->format('Y-m-d');
        $retard=Chain::where('date_arrive','<',$today)->where('confirmed','0')->count();
        $demand=Demand::where('status',0)->count();

            if ($request->ajax()) {
                $data = Chain::selectRaw('COUNT(id) as count,receipt,created_at')->whereNull('agency_id')->groupBy('receipt')->get();
                return Datatables::of($data)
                    ->addIndexColumn()
                    ->addColumn('envoyee', function($data){
                        return Chain::where('pack','!=',2)->where('receipt',$data->receipt)->count();
                    })
                    ->addColumn('reste', function($data){
                        return $data->count-$data->used;
                    })
                    ->addColumn('scolaire', function($data){
                        $scolaire=Chain::where('receipt',$data->receipt)->where('type','=','scolaire')->count();
                        return $scolaire;
                    })
                    ->addColumn('resteScolaire', function($data){
                        $scolaire=Chain::where('pack','=',2)->where('receipt',$data->receipt)->where('type','scolaire')->count();
                        return $scolaire;
                    })
                    ->addColumn('civile', function($data){
                        $civile=Chain::where('receipt',$data->receipt)->where('type','=','civile')->count();
                        return $civile;
                    })
                    ->addColumn('resteCivile', function($data){
                        $civile=Chain::where('pack','=',2)->where('receipt',$data->receipt)->where('type','civile')->count();
                        return $civile;
                    })
                    ->addColumn('action', function($row){
                        $btn = '<button id="'.$row->id.'"  data-toggle="modal" data-target="#danger-alert-modal" class="delete btn btn-danger btn-sm">'.__('Supprimer').'</button>';
                        return $btn;
                    })
                    ->rawColumns(['action'])
                    ->make(true);
            }
        }
        elseif ($role=="supervisor"){
            $stock=Chain::where('used',0)
                ->where('confirmed',1)
                ->where('agency_id',$user->agency->id)
                ->whereNull('declaration_id')->count();
            $route=Chain::where('agency_id',$user->agency->id)
                   ->where('confirmed',0)->count();
            $return=Chain::where('agency_id',$user->agency->id)
                    ->whereNotNull('declaration_id')->count();
            $today=new \DateTime('today');
            $today=$today->format('Y-m-d');
            $retard=Chain::where('agency_id',$user->agency->id)
                ->where('date_arrive','<',$today)->where('confirmed','0')->count();
            $demand=Demand::where('agency_id',$user->agency->id)
            ->where('status',0)->count();

            if ($request->ajax()) {
                $data = Chain::selectRaw('COUNT(id) as count,used,type,pack,date_arrive')->where('agency_id',$user->agency->id)->groupBy('date_arrive')->get();

                return Datatables::of($data)
                    ->addIndexColumn()

                    ->addColumn('reste', function($data){
                        return $data->count-$data->used;
                    })
                    ->addColumn('scolaire', function($data){

                        $scolaire=Chain::where('pack',$data->pack)->where('agency_id',auth()->user()->agency_id)
                            ->where('type','=','scolaire')->where('date_arrive','=',$data->date_arrive)->count();
                        return $scolaire;
                    })
                    ->addColumn('resteScolaire', function($data){
                        $scolaire=Chain::where('pack',$data->pack)->where('agency_id',auth()->user()->agency_id)
                            ->where('type','=','scolaire')->where('date_arrive','=',$data->date_arrive)
                            ->where('used',0)->count();
                        return $scolaire;
                    })
                    ->addColumn('civile', function($data){
                        $civile=Chain::where('receipt',$data->receipt)->where('agency_id',auth()->user()->agency_id)->where('type','=','civile')->count();
                        return $civile;
                    })
                    ->addColumn('resteCivile', function($data){
                        $civile=Chain::where('used','!=',2)->where('receipt',$data->receipt)->where('agency_id',auth()->user()->agency_id)->where('type','civile')->count();
                        return $civile;
                    })
                    ->addColumn('action', function($row){
                        $btn = '<button id="'.$row->id.'"  data-toggle="modal" data-target="#danger-alert-modal" class="delete btn btn-danger btn-sm">'.__('Supprimer').'</button>';
                        return $btn;
                    })
                    ->rawColumns(['action'])
                    ->make(true);
            }
        }


        return view('chains.index',compact('stock','return','route','demand','retard'));

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $agencies=Agency::all();

        return view('chains.create',compact('agencies'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
            $request->validate([
               'receipt'=>'required',
            ]);
            foreach ($request->get('add') as $r)
            {
                    $chain = Chain::whereBetween('code',[$r['start'],$r['end']])->count();
//                    dd($chain);
                    if($chain != 0)
                    {
                        return redirect()->back()->with('error',__("le stock est existant"));
                    }
            }
            $data=[];
            foreach ($request->get('add') as $r)
            {
                for ($i=$r['start'];$i<=$r['end'];$i++)
                {
//                    $data += ['type' => $r['type'], 'code' => $i,'receipt'=>$request->receipt,'pack'=>2];
                    array_push($data,['type' => $r['type'], 'code' => $i,'receipt'=>$request->receipt,'pack'=>2]);
//                    $chain=new Chain;
//                    $chain->type=$r['type'];
//                    $chain->code=$i;
//                    $chain->receipt=$request->receipt;
//                    $chain->pack=2;
//                    $chain->save();
                }
            }
//            dd($data);
            DB::table('chains')->insert($data);

            return redirect(route('chains.index'));
    }
    public function send()
    {
        $agencies=Agency::all();
//        $receipt=Chain::where('pack',2)->orderBy('created_at')->distinct()->groupBy('receipt')->get();

        $receipts = DB::table('chains')
            ->select('receipt')
            ->groupBy('receipt')
            ->where('pack','=',2)
            ->distinct()->get();
//
//
//        $lots=DB::select('SELECT MIN(`code`) as min, MAX(`code`) as max,type
//            FROM
//            (SELECT @row_number:= CASE WHEN @id = type THEN @row_number ELSE @row_number + 1 END AS num,
//            @id:= pack as pack, receipt,type,`code`
//            FROM chains, (SELECT @row_number:= 0, @id:= 1) t ORDER BY `code`) t
//            WHERE t.pack = 2 and t.receipt = "14022021"
//            GROUP BY num,type');
//        dd($lots);

        return view('chains.send',compact('agencies','receipts'));
    }

    public function storeSend(Request $request)
    {

            $request->validate([
               'date'=>'required|date_format:Y-m-d|after:yesterday'
            ]);

            $pack=Str::random(8);

            foreach ($request->get('send') as $s)
            {
                $chains=Chain::where('code','>=',$s['start'])
                    ->Where('code','<=',$s['end'])->whereNull('agency_id')->get();

                foreach ($chains as $chain)
                {
                    if($chain->agency_id==null){
                        $chain->agency_id=$request->agency;
                        $chain->date_arrive=$request->date;
                        $chain->pack=$pack;
                        $chain->update();
                    }

                }
            }
            return redirect(route('shipment.index'));
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Chain  $chain
     * @return \Illuminate\Http\Response
     */
    public function show()
    {

    }

    /**

resources/views/chains/index.blade.php
@extends('layouts.horizontal', ['title' => 'Customers'])

@section('css')
    <!-- Plugins css -->
    <link href="{{asset('assets/libs/datatables/datatables.min.css')}}" rel="stylesheet" type="text/css" />

@endsection

@section('content')
    <!-- Start Content-->
{{--    <meta name="csrf-token" content="{{ csrf_token() }}">--}}

    <div class="container-fluid">
        <div class="row mt-2">
            <div class="col-md-3 ">
                <a href="{{route('chains.index')}}">
                <div class="widget-rounded-circle card-box" style="border: #0a62de 2px solid;cursor: pointer">
                    <div class="row">
                        <div class="col-6">
                            <div class="avatar-lg rounded-circle bg-soft-primary border-primary border">
                                <i class="fe-shopping-bag font-22 avatar-title text-primary"></i>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="text-right">
                                <h3 class="mt-1"><span data-plugin="counterup">{{$stock}}</span></h3>
                                <p class="text-muted mb-1 text-truncate">{{__('Stock Disponible')}}</p>
                            </div>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
                </a>
            </div> <!-- end col-->

            <div class="col-md-3 ">
                <a href="{{route('shipment.index')}}">
                <div class="widget-rounded-circle card-box" style="cursor: pointer">
                    <div class="row">
                        <div class="col-6">
                            <div class="avatar-lg rounded-circle bg-soft-success border-success border">
                                <i class="fe-shopping-cart font-22 avatar-title text-success"></i>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="text-right">
                                <h3 class="mt-1"><span data-plugin="counterup">{{$route}}</span></h3>
                                <p class="text-muted mb-1 text-truncate">{{__('Stock En Route')}} </p>
                                <p class="text-muted mb-1 text-truncate">{{__('Stock En Retard')}}: {{$retard}} </p>
                            </div>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
                </a>
            </div> <!-- end col-->

            <div class="col-md-3 ">
                <a href="{{route('declarations.index')}}">
                <div class="widget-rounded-circle card-box" style="cursor: pointer">
                    <div class="row">
                        <div class="col-6">
                            <div class="avatar-lg rounded-circle bg-soft-info border-info border">
                                <i class="fe-bar-chart-line- font-22 avatar-title text-info"></i>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="text-right">
                                <h3 class="mt-1"><span data-plugin="counterup">{{$return}}</span></h3>
                                <p class="text-muted mb-1 text-truncate">{{__('Liste des Retours')}}</p>
                            </div>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
                </a>
            </div> <!-- end col-->

            <div class="col-md-3 ">
                <a href="{{route('demands.index')}}">
                <div class="widget-rounded-circle card-box" style="cursor: pointer">
                    <div class="row">
                        <div class="col-6">
                            <div class="avatar-lg rounded-circle bg-soft-warning border-warning border">
                                <i class="fe-eye font-22 avatar-title text-warning"></i>
                            </div>
                        </div>
                        <div class="col-6">
                            <div class="text-right">
                                <h3 class="mt-1"><span data-plugin="counterup">{{$demand}}</span></h3>
                                <p class="text-muted mb-1 text-truncate">{{__('Liste des Demandes')}}</p>
                            </div>
                        </div>
                    </div> <!-- end row-->
                </div> <!-- end widget-rounded-circle-->
                </a>
            </div> <!-- end col-->
        </div>
        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <li class="breadcrumb-item"><a href="javascript: void(0);">Srts</a></li>
                            <li class="breadcrumb-item"><a href="javascript: void(0);">{{__('Stock')}}</a></li>
                            <li class="breadcrumb-item active">{{__('Liste des Stocks')}}</li>
                        </ol>
                    </div>
                    <h4 class="page-title">{{__('Liste des Stocks')}}</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            @hasrole('admin')
                            <div class="col-sm-4">
                                <a href="{{route('chains.create')}}" class="btn btn-danger mb-2"><i class="mdi mdi-plus-circle mr-2"></i>{{__('Ajouter un Stock')}}</a>
                                <a href="{{route('chains.send')}}" class="btn btn-info mb-2"><i class="mdi mdi-share-circle mr-2"></i>{{__('Envoyer un Stock')}}</a>
                            </div>
                            @endhasrole
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered table-striped dt-responsive nowrap w-100" id="customers-datatable">
                                <thead>
                                <tr>
                                    <th>{{__('Quantité')}}</th>
                                    @hasrole('admin')
                                    <th>{{__('Envoyée')}}</th>
                                    <th>{{__('Reste')}}</th>
                                    <th>{{__('Scolaire')}}</th>
                                    <th>{{__('Reste')}}</th>
                                    <th>{{__('Civile')}}</th>
                                    <th>{{__('Reste')}}</th>

                                    <th>{{__('Bon de Commande')}}</th>

                                    <th>{{__("Date d'Ajout")}}</th>
                                    <th style="width: 75px;">{{__("Action")}}</th>
                                    @endhasrole
                                    @hasrole('supervisor')
                                    <th>{{__('Utilisée')}}</th>
                                    <th>{{__('Stock Cartes Restant')}}</th>
                                    <th>{{__('Scolaire')}}</th>
                                    <th>{{__('Reste Scolaire')}}</th>
                                    <th>{{__('Civile')}}</th>
                                    <th>{{__('Reste Civile')}}</th>
                                    <th>{{__("Date d'arrivé")}}</th>
                                    @endhasrole
                                </tr>
                                </thead>
                                <tbody>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <!-- end row -->
        <!-- Danger Alert Modal -->
        <div id="danger-alert-modal" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true">
            <div class="modal-dialog modal-sm">
                <div class="modal-content modal-filled bg-danger">
                    <div class="modal-body p-4">
                        <div class="text-center">
                            <i class="dripicons-wrong h1 text-white"></i>
                            <h4 class="mt-2 text-white">Suppression !</h4>
                            <p class="mt-3 text-white">Cette Action est irreversible</p>
                            <button id="delete" type="button" class="btn btn-light my-2" data-dismiss="modal">Continue</button>
                        </div>
                    </div>
                </div><!-- /.modal-content -->
            </div><!-- /.modal-dialog -->
        </div><!-- /.modal -->
@endsection

@section('script')
    <!-- Plugins js-->
    <script src="{{asset('assets/libs/datatables/datatables.min.js')}}"></script>
    <script src="{{asset('assets/libs/jquery-datatables-checkboxes/jquery-datatables-checkboxes.min.js')}}"></script>
        @hasrole('admin')
        <script>
        $(function () {
            var table = $('#customers-datatable').DataTable({
                processing: true,
                serverSide: true,
                ajax: "{{ route('chains.index') }}",
                columns: [
                    // {data: 'code', name: 'code'},
                    {data: 'count', name: 'count'},
                    {data: 'envoyee', name: 'envoyee'},
                    {data: 'reste', name: 'reste'},

                    {data: 'scolaire', name: 'scolaire'},
                    {data: 'resteScolaire', name: 'resteScolaire'},
                    {data: 'civile', name: 'civile'},
                    {data: 'resteCivile', name: 'resteCivile'},

                    {data: 'receipt', name: 'receipt'},


                    // {data: 'used', name: 'used'},

                    // {data: 'returned', name: 'returned'},
                    // {data: 'agency', name: 'agency'},
                    {data: 'created_at', name: 'created_at'},

                    {
                        data: 'action',
                        name: 'action',
                        orderable: true,
                        searchable: true
                    },

                ],
                "language": {
                    @if(app()->getLocale()=="fr")
                    "url": "{{asset('assets/libs/datatables/datatableFrench.json')}}"
                    @else
                    "url": "{{asset('assets/libs/datatables/datatableArabic.json')}}"
                    @endif
                }
            });

        });
    </script>
        @endhasrole
        @hasrole('supervisor')
        <script>
            $(function () {
                var table = $('#customers-datatable').DataTable({
                    processing: true,
                    serverSide: true,
                    ajax: "{{ route('chains.index') }}",
                    columns: [
                        // {data: 'code', name: 'code'},
                        {data: 'count', name: 'count'},
                        // {data: 'pack', name: 'pack'},

                        {data: 'used', name: 'used'},
                        {data: 'reste', name: 'reste'},

                        {data: 'scolaire', name: 'scolaire'},
                        {data: 'resteScolaire', name: 'resteScolaire'},
                        {data: 'civile', name: 'civile'},
                        {data: 'resteCivile', name: 'resteCivile'},
                        // {data: 'returned', name: 'returned'},
                        // {data: 'agency', name: 'agency'},
                        // {data: 'created_at', name: 'created_at'},
                        {data: 'date_arrive', name: 'date_arrive'},

                    ],
                    "language": {
                        @if(app()->getLocale()=="fr")
                        "url": "{{asset('assets/libs/datatables/datatableFrench.json')}}"
                        @else
                        "url": "{{asset('assets/libs/datatables/datatableArabic.json')}}"
                        @endif
                    }
                });

            });
        </script>
        @endhasrole
{{--    <script>--}}
{{--        // Delete action--}}
{{--        $(document).on('click', '.delete', function(){--}}
{{--            id = $(this).attr('id');--}}
{{--            $('#'+id).parent().parent().css('border','2px solid #ff6666');--}}
{{--        });--}}
{{--       $('.modal').on('hidden.bs.modal',function () {--}}
{{--           $('.delete').parent().parent().css('border','none');--}}
{{--       })--}}
{{--        $('#delete').click(function(){--}}
{{--            $('#'+id).parent().parent().css('background-color','#ff6666');--}}
{{--            $.ajaxSetup({--}}
{{--                data: {  _token: '{{csrf_token()}}' },--}}
{{--                type:'DELETE',--}}
{{--                url:"/institutions/"+id,--}}
{{--            });--}}
{{--            $.ajax({--}}
{{--                success:function(data)--}}
{{--                {--}}
{{--                    setTimeout(function(){--}}
{{--                        $('#customers-datatable').DataTable().ajax.reload();--}}
{{--                    }, 1000);--}}
{{--                }--}}
{{--            });--}}
{{--        });--}}



{{--    </script>--}}
    <!-- Page js-->
@endsection